### Method

# EDataServer SourceAuthentication dup_method

since: 3.6

#### Declaration [src]

    gchar*
    e_source_authentication_dup_method (
      ESourceAuthentication* extension
    )

#### Description [src]

Thread-safe variation of e_source_authentication_get_method(). Use this function when accessing `extension` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.6

#### Return value

Type: `gchar*`

A newly-allocated copy of `ESourceAuthentication:method`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.